package kcg.imis.report.vo;

import java.util.List;

/**
  * @FileName : ReportGoalVO.java
  * @Project : 국제해양프로젝트
  * @Date : 2018. 3. 29. 
  * @작성자 : Moon
  * @변경이력 : 
  * @프로그램 설명 :
 */
public class ReportGoalVO {	
	/**
	 * 순번
	 */
	private int rn;
	/**
	 * 년
	 */
	private int goYear;
	/**
	 * 월
	 */
	private int goMonth;
	/**
	 * 소속
	 */
	private String goPlace1;
	/**
	 * 외사경찰id
	 */
	private String goId;
	/**
	 * 전종요원
	 */
	private int goGoal1;
	/**
	 * 대외협력
	 */
	private int goGoal2;
	/**
	 * 정보협력
	 */
	private int goGoal3;
	/**
	 * 신고요원
	 */
	private int goGoal4;
	/**
	 * 계
	 */
	private int goTotal;
	/**
	 * 목표 관리 목록
	 */
	private List<ReportGoalVO> reportGoalList;
	/**
	 * 외사경찰이름
	 */
	private String name;
	
	public int getRn() {
		return rn;
	}
	public void setRn(int rn) {
		this.rn = rn;
	}
	public int getGoYear() {
		return goYear;
	}
	public void setGoYear(int goYear) {
		this.goYear = goYear;
	}
	public int getGoMonth() {
		return goMonth;
	}
	public void setGoMonth(int goMonth) {
		this.goMonth = goMonth;
	}
	public String getGoPlace1() {
		return goPlace1;
	}
	public void setGoPlace1(String goPlace1) {
		this.goPlace1 = goPlace1;
	}
	public String getGoId() {
		return goId;
	}
	public void setGoId(String goId) {
		this.goId = goId;
	}
	public int getGoGoal1() {
		return goGoal1;
	}
	public void setGoGoal1(int goGoal1) {
		this.goGoal1 = goGoal1;
	}
	public int getGoGoal2() {
		return goGoal2;
	}
	public void setGoGoal2(int goGoal2) {
		this.goGoal2 = goGoal2;
	}
	public int getGoGoal3() {
		return goGoal3;
	}
	public void setGoGoal3(int goGoal3) {
		this.goGoal3 = goGoal3;
	}
	public int getGoGoal4() {
		return goGoal4;
	}
	public void setGoGoal4(int goGoal4) {
		this.goGoal4 = goGoal4;
	}
	public int getGoTotal() {
		return goTotal;
	}
	public void setGoTotal(int goTotal) {
		this.goTotal = goTotal;
	}
	public List<ReportGoalVO> getReportGoalList() {
		return reportGoalList;
	}
	public void setReportGoalList(List<ReportGoalVO> reportGoalList) {
		this.reportGoalList = reportGoalList;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	@Override
	public String toString() {
		return "ReportGoalVO [goYear=" + goYear + ", goMonth=" + goMonth
				+ ", goPlace1=" + goPlace1 + ", goId=" + goId + ", goGoal1="
				+ goGoal1 + ", goGoal2=" + goGoal2 + ", goGoal3=" + goGoal3
				+ ", goGoal4=" + goGoal4 + ", goTotal=" + goTotal
				+ ", reportGoalList=" + reportGoalList + ", name=" + name + "]";
	}
}
